---
title: XRInputSourceEventInit
slug: Web/API/XRInputSourceEventInit
tags:
  - API
  - AR
  - Dictionary
  - Mixed
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSourceEventInit
  - augmented
  - events
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}</p>

<p>The <code><strong>XRInputSourceEventInit</strong></code> dictionary is used when calling the {{domxref("XRInputSourceEvent.XRInputSourceEvent", "XRInputSourceEvent()")}} constructor to provide configuration options for the newly-created {{domxref("XRInputSourceEvent")}} object to take on.</p>

<h2 id="Properties">Properties</h2>

<p>The <code>XRInputSourceEventInit</code> dictionary inherits properties from the {{domxref("EventInit")}} dictionary. It also offers the following:</p>

<dl>
 <dt>{{domxref("XRInputSourceEventInit.frame", "frame")}}</dt>
 <dd>An {{domxref("XRFrame")}} object representing the event frame during which the event took place. This event is <em>not</em> associated with the animation process, and has no viewer information contained within it.</dd>
 <dt>{{domxref("XRInputSourceEventInit.inputSource", "inputSource")}}</dt>
 <dd>An {{domxref("XRInputSource")}} object representing the input device from which the event is being sent.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dictdef-xrinputsourceeventinit","XRInputSourceEventInit")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourceEventInit")}}</div>
